package AST;


public class CompositeExpr extends Expr {
    public CompositeExpr( Expr pleft, int poper, Expr pright ) {
        left = pleft;
        oper = poper;
        right = pright;
    }
    public void genC() {
        System.out.print("(");
        left.genC();
        System.out.print(" " + strOper[oper] + " ");
        right.genC();
        System.out.print(")");
    }
    
    private static String []strOper = { "", "", "", "+", "-", "*", "/", "<", "<=", ">", ">=", "!=", 
          "==", "=" };
    
    private Expr left, right;
    private int oper;
}

