package AST;

import java.util.*;
import java.io.*;

public class Program {
    
    public Program( Vector arrayVariable, 
                    StatementList statementList ) {
        this.arrayVariable = arrayVariable;
        this.statementList = statementList;
    }
    
    public void genC( PW pw ) {
        
        pw.out.println("#include <stdio.h>");
        pw.out.println();
        pw.println("void main() {");
        
        pw.add();
          // generate code for the declaration of variables
        Enumeration e = arrayVariable.elements();
        while ( e.hasMoreElements() ) {
           Variable v = (Variable ) e.nextElement();
           pw.println(v.getType().getCname() +
               " " + v.getName() + ";" );
        }
          
        pw.out.println("");
        statementList.genC(pw);
        pw.sub();
        pw.out.println("}");
    }                             
        
    private Vector arrayVariable;
    private StatementList statementList;
}