package AST;

import java.util.*;
import java.io.*;

public class Program {
    
    public Program( Vector procfuncList ) {
        this.procfuncList = procfuncList;
    }
    
    public void genC( PW pw) {
        
        pw.out.println("#include <stdio.h>");
        pw.out.println("");
        
          // generate code for procedures and functions
        Enumeration e = procfuncList.elements();
        while ( e.hasMoreElements() ) {
          ((Subroutine ) e.nextElement()).genC(pw);
          pw.out.println("");
          pw.out.println("");
        }
          
    }                             
        
    private Vector procfuncList;
}