package AST;

import java.util.*;

public class Program {
    public Program( Vector arrayVariable, Expr expr ) {
        this.arrayVariable = arrayVariable;
        this.expr = expr;
    }
    public void genC() {
        System.out.println("#include <stdio.h>\n");
        System.out.println("void main() {");
          // generate code for the declaration of variables
        Enumeration e = arrayVariable.elements();
        while ( e.hasMoreElements() )
          ((Variable ) e.nextElement()).genC();
        
          // generate code for the expression
        System.out.print("printf(\"%d\\n\", ");
        expr.genC();
        System.out.println(" );\n}");
    }                             
        
    private Vector arrayVariable;
    private Expr expr;
}