package AST;

import java.util.*;

public class Program {
    public Program( Vector arrayVariable, StatementList statementList ) {
        this.arrayVariable = arrayVariable;
        this.statementList = statementList;
    }
    public void genC() {
        System.out.println("#include <stdio.h>\n");
        System.out.println("void main() {");
        if ( arrayVariable != null ) {
             // generate code for the declaration of variables
           Enumeration e = arrayVariable.elements();
           while ( e.hasMoreElements() )
             ((Variable ) e.nextElement()).genC();
        }
          
        statementList.genC();
        System.out.println("}");
    }                             
        
    private Vector arrayVariable;
    private StatementList statementList;
}