package AST;

import java.io.*;

public class CharExpr extends Expr {
    
    public CharExpr( char value ) {
        this.value = value; 
    }
    
    public void genC( PW pw ) {
        pw.out.print("'" + value + "'");
    }
    
    public char getValue() {
        return value;
    }
    
    public Type getType() {
        return Type.charType;
    }
    
    private char value;
}